<?php
defined('TYPO3_MODE') || die();

// Get extension configuration
$confArr = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['cewrap']);
$l10n_mode = ($confArr['l10n_mode_exclude'] ? 'exclude' : '');

// Extra fields for the tt_content table
$extraContentColumns = array(
	'tx_cewrap_active' => array(
		'exclude' => 1,
		'l10n_mode' => $l10n_mode,
		'label' => 'LLL:EXT:cewrap/Resources/Private/Language/locallang.xlf:tt_content.tx_cewrap_active',
		'requestUpdate' => 1,
		'config' => array(
			'type' => 'check',
		),
	),
	'tx_cewrap_id_input' => array(
		'exclude' => 1,
		'l10n_mode' => $l10n_mode,
		'label' => 'LLL:EXT:cewrap/Resources/Private/Language/locallang.xlf:tt_content.tx_cewrap_id_input',
		'displayCond' => 'FIELD:tx_cewrap_active:REQ:true',
		'config' => array(
			'type' => 'input',
			'size' => 20,
			'eval' => 'trim,nospace',
		),
	),
	'tx_cewrap_type' => array(
		'exclude' => 1,
		'l10n_mode' => $l10n_mode,
		'label' => 'LLL:EXT:cewrap/Resources/Private/Language/locallang.xlf:tt_content.tx_cewrap_type',
		'displayCond' => 'FIELD:tx_cewrap_active:REQ:true',
		'config' => array(
			'type' => 'check',
		),
	),
	'tx_cewrap_class_input' => array(
		'exclude' => 1,
		'l10n_mode' => $l10n_mode,
		'label' => 'LLL:EXT:cewrap/Resources/Private/Language/locallang.xlf:tt_content.tx_cewrap_class_input',
		'displayCond' => 'FIELD:tx_cewrap_active:REQ:true',
		'config' => array(
			'type' => 'input',
			'size' => 20,
			'eval' => 'trim',
		),
	),
);

// Adding fields to the tt_content table definition in TCA
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('tt_content', $extraContentColumns);

// Create palette
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', '--palette--;LLL:EXT:cewrap/Resources/Private/Language/locallang.xlf:palette.cewrap;cewrap', '', 'after:layout');
$GLOBALS['TCA']['tt_content']['palettes']['cewrap']['showitem'] = 'tx_cewrap_active, tx_cewrap_id_input, tx_cewrap_type, tx_cewrap_class_input';

// Request an update
if($GLOBALS['TCA']['tt_content']['ctrl']['requestUpdate'] != '') {
	$GLOBALS['TCA']['tt_content']['ctrl']['requestUpdate'] .= ',';
}
$GLOBALS['TCA']['tt_content']['ctrl']['requestUpdate'] .= 'tx_cewrap_active';